<?php	
	header("Content-Type: application/csv-tab-delimited-table");
	header("Content-disposition: filename=export.dat");
	
	include_once(realpath(dirname(__FILE__)) . "/Icirelais.class.php");
	
	require_once __DIR__ . "/../../../fonctions/authplugins.php";
	autorisation("icirelais");
	
	$icirelais = new Icirelais();
	
	$commande = new Commande();
	$client = new Client();
	$venteprod = new Venteprod();
	$produit = new Produit();
	$module = new Modules();
        
        $expediteur_nom = new Variable();
        $expediteur_nom->charger(AdmIcirelais::EXPEDITEUR_NOM);
        $expediteur_rue = new Variable();
        $expediteur_rue->charger(AdmIcirelais::EXPEDITEUR_RUE);
        $expediteur_ad1 = new Variable();
        $expediteur_ad1->charger(AdmIcirelais::EXPEDITEUR_AD1);
        $expediteur_cp = new Variable();
        $expediteur_cp->charger(AdmIcirelais::EXPEDITEUR_CP);
        $expediteur_ville = new Variable();
        $expediteur_ville->charger(AdmIcirelais::EXPEDITEUR_VILLE);
        $expediteur_tel = new Variable();
        $expediteur_tel->charger(AdmIcirelais::EXPEDITEUR_TEL);
        $expediteur_telport = new Variable();
        $expediteur_telport->charger(AdmIcirelais::EXPEDITEUR_TELPORT);
        $expediteur_email = new Variable();
        $expediteur_email->charger(AdmIcirelais::EXPEDITEUR_EMAIL);
        $unite_poids = new Variable();
        $unite_poids->charger(AdmIcirelais::UNITE_POIDS);
        $assure_colis = new Variable();
        $assure_colis->charger(AdmIcirelais::ASSURE_COLIS);

	if(!$module->charger('icirelais')) exit;

	$res = $icirelais->harmonise('$' . "VERSION=110", 'alpha_numerique', 12) . "\r\n";
	
	$req = "SELECT * FROM $commande->table WHERE transport=$module->id AND statut IN(2,3)";
        
	$exec = mysql_query($req);
	
	while($data = mysql_fetch_object($exec))
	{
		$poids = 0;
	
		if(!$client->charger_id($data->client)) exit;
		if(!$commande->charger($data->id)) exit;
		if(!$icirelais->charger_commande($commande->id));
		
		if($assure_colis->valeur == 'oui')
		{
			$total_assure = $commande->total();
		}
		else
		{
			$total_assure = 0;
		}
		
		$req_vente = "SELECT * FROM $venteprod->table WHERE commande=$data->id";
		$exec_vente = mysql_query($req_vente);
		
		while($data_vente = mysql_fetch_object($exec_vente))
		{
			if(!$produit->charger($data_vente->ref)) exit;
			
			$poids = $produit->poids * $data_vente->quantite;
		}
                
		if($unite_poids->valeur == "kg")
		{		
			$poids = $poids * 100;
		}
		if($unite_poids->valeur == "g")
		{
			$poids = $poids / 10;
		}
		
		$poids = explode('.', $poids);
		
		$date_format = date("d/m/Y", strtotime($data->datefact));
		
		$res .= $icirelais->harmonise($data->ref, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 2);
		$res .= $icirelais->harmonise($poids[0], 'numerique', 8);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 15);
		$res .= $icirelais->harmonise($client->nom, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise($client->prenom, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise($client->adresse2, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise($client->adresse3, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35);
		$res .= $icirelais->harmonise($client->cpostal, 'alpha_numerique', 10);
		$res .= $icirelais->harmonise($client->ville, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 10);
		$res .= $icirelais->harmonise($client->adresse1, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 10);
		$res .= $icirelais->harmonise("F", 'alpha_numerique', 3); 											// CODE PAYS DESTINATAIRE PAR DEFAUT F
		$res .= $icirelais->harmonise($client->telfixe, 'alpha_numerique', 30);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 15);
		$res .= $icirelais->harmonise($expediteur_nom->valeur, 'alpha_numerique', 35); 		// DEBUT EXPEDITEUR
		$res .= $icirelais->harmonise($expediteur_ad1->valeur, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 140);
		$res .= $icirelais->harmonise($expediteur_cp->valeur, 'alpha_numerique', 10);
		$res .= $icirelais->harmonise($expediteur_ville->valeur, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 10);
		$res .= $icirelais->harmonise($expediteur_rue->valeur, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 10);
		$res .= $icirelais->harmonise("F", 'alpha_numerique', 3);											// CODE PAYS EXPEDITEUR PAR DEFAUT F
		$res .= $icirelais->harmonise($expediteur_tel->valeur, 'alpha_numerique', 30);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35); 											// COMMENTAIRE 1 DE LA COMMANDE
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35);											// COMMENTAIRE 2 DE LA COMMANDE
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35);											// COMMENTAIRE 3 DE LA COMMANDE
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35);											// COMMENTAIRE 3 DE LA COMMANDE
		$res .= $icirelais->harmonise($date_format, 'alpha_numerique', 10);
		$res .= $icirelais->harmonise("", 'numerique', 8); 													// N° COMPTE CHARGEUR ICIRELAIS ?
		$res .= $icirelais->harmonise("", 'alpha_numerique', 35); 											// CODE BARRE
		$res .= $icirelais->harmonise($data->ref, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 29);
		$res .= $icirelais->harmonise($total_assure . ".00", 'numerique', 9);								// MONTANT DE LA VALEUR MARCHANDE A ASSURER EX: 20 euros -> 000020.00
		$res .= $icirelais->harmonise("", 'alpha_numerique', 8);
		$res .= $icirelais->harmonise($client->ref, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 46);
		$res .= $icirelais->harmonise($expediteur_tel->valeur, 'alpha_numerique', 80);
		$res .= $icirelais->harmonise($expediteur_telport->valeur, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise($client->email, 'alpha_numerique', 80);
		$res .= $icirelais->harmonise($client->telport, 'alpha_numerique', 35);
		$res .= $icirelais->harmonise("", 'alpha_numerique', 96);
		$res .= $icirelais->harmonise($icirelais->code_point, 'alpha_numerique', 8); 						// IDENTIFIANT ESPACE ICIRELAIS
		
		$res .= "\r\n";
	}
	
	echo $res;
?>